<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org" lang="fr">
<head>
    <meta charset="utf-8"/>
    <title>Patients</title>
    <link rel="stylesheet"  href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css">
</head>
<body>
<div class="row"><h2>Liste des patients</h2></div>
<div class="row" style="padding-left: 50px; max-width: 95%">
    <table class="table table-bordered">
        <thead>
        <tr>
            <th>Id</th>
            <th>Prénom</th>
            <th>Nom</th>
            <th>Date de naissance</th>
            <th>Genre</th>
            <th>Adresse</th>
            <th>Numéro</th>
            <th>Action</th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="patientList : ${patientList}">
            <td th:text="${patientList.id}"></td>
            <td th:text="${patientList.firstName}"></td>
            <td th:text="${patientList.lastName}"></td>
            <td th:text="${patientList.birthday}"></td>
            <td th:text="${patientList.gender}"></td>
            <td th:text="${patientList.postaleAddress}"></td>
            <td th:text="${patientList.phoneNumber}"></td>
            <td style="width: 15%" class="text-center">
                <a style="text-decoration: none;" th:href="@{/patient/update/{id}(id=${patientList.id})}">Modifier</a>&nbsp;|&nbsp;
                <a style="text-decoration: none;" th:href="@{/patient/delete/{id}(id=${patientList.id})}">Supprimer</a>&nbsp;|&nbsp;
                <a style="text-decoration: none;" th:href="@{/notes/{id}(id=${patientList.id})}">Notes</a>
            </td>
        </tr>
        </tbody>
    </table>
</div>
<a style="text-decoration: none; padding-top: 20px; font-size: 22px" href="/patient/add">Ajouter un nouveau Patient</a>
</body>
</html>